Important

   

This documentation space contains information about PATROL Agents when deployed in a TrueSight Operations Management environment. If you are a BMC Helix Operations Management user, see PATROL Agent 22.4 for BMC Helix Operations Management. Open link

System requirements

Verify that the target computer meets the installation requirements listed in the following table. These requirements apply to all PATROL Agent.


Note

To get complete compatibility information for PATROL Agent, use the BMC Solution and Product Availability and Compatibility Utility (SPAC) on the Solution and Product Availability and Compatibility site. Open link

Related topic

Presentation Server, Infrastructure Management, and PATROL Agent compatibility matrices Open link

Support for third-party products

To receive full support for a BMC product, you must have such product installed in a supported environment, as specified in the BMC product documentation. If a third-party vendor cancels support for one of its products (such as an operating system or subsystem), and that third-party product integrates or interacts with the BMC product you have licensed, you must upgrade to a supported version of that third-party product before BMC Customer Support can provide you with support for the affected BMC product. For further information, view BMC's product support policy. Open link

Supported Operating SystemsComments (if any)

All components work with the following Windows operating systems:

  • Microsoft Windows Server 2022, x86-64
  • Microsoft Windows Server 2019 Core, x86-64
  • Microsoft Windows Server 2019, x86-64
  • Microsoft Windows Server 2016, Core, x86-64
  • Microsoft Windows Server 2016, x86-64
  • Microsoft Windows Server 2012 R2 Core, x86-64
  • Microsoft Windows Server 2012 R2, x86-64
  • Microsoft Windows Server 2012, x86-64
  • Microsoft Windows 10, x86-64
  • Microsoft Windows 8.1, x86-64
  • Remote monitoring is available on all the supported operating systems.
  • References to x86-64 include AMD64 and Intel 64 architecture.

  • References to the operating systems mentioned include all editions of these platform families.

  • If you are using Microsoft Windows Server 2012 R2 Core, x86-64, then install PATROL Agent 22.4 using the Installation Utility version 20.02.00.01.

  • If you are using Microsoft Windows Server 2016 R2 Core, x86-64,
    • Installing the PATROL Agent manually using setup.exe utility (done by extracting the installation utility) is not supported.
    • You can install the PATROL Agent 22.4 using the Installation Utility version 20.02.00.01 on this platform using the TrueSight console. For more information, see Installing in a TrueSight Operations Management environment.

  • HP-UX 11i 3 (B11.31), 64-bit, Itanium 2



  • IBM® AIX® 7.x, 64-bit hardware, 64-bit kernel, 64-bit ABI

Supports the currently supported Technology Level versions by IBM.


  • Oracle Solaris 11.x, x86-64, 64-bit, SPARC
  • Oracle Solaris 10.x, x86-64, 64-bit, SPARC



  • Red Hat Enterprise Linux 9.x, x86-64
  • Red Hat Enterprise Linux 8.x, x86-64, IBM® zSeries®, PPC64LE
  • Red Hat Enterprise Linux 7.x, x86-64, IBM® zSeries®, PPC64LE
  • Security-Enhanced Linux (SELinux)
  • Install libnsl.so 64 bit library for RHEL 9.x and SELinux.
  • The zSeries system is not supported in Simplified Chinese, Traditional Chinese, Korean, Japanese, French, and German languages.
  • x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executables.
  • IBM® zSeries® here indicates s390x architecture.
  • SELinux runs on Enforcing mode.
  • The default account used in PATROL package for SELinux belongs to unconfined user.

  • SUSE Linux Enterprise Server 15.x, x86-64, IBM® zSeries®, PPC64LE
  • SUSE Linux Enterprise Server 12.x, x86-64, IBM® zSeries®, PPC64LE
  • This operating system is not supported in Chinese, Taiwanese, Japanese, Korean, French, and German languages.
  • x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executables.

  • Oracle Enterprise Linux 8.x, x86-64
  • Oracle Enterprise Linux 7.x, x86-64
  • Oracle Enterprise Linux 6.x, x86-64

x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executables.


  • CentOS Stream 9.x (x86-64)
  • CentOS Stream 8.x (x86-64)
  • CentOS 8.x (x86-64)
  • CentOS 7.x (x86-64)
  • Install libnsl.so  64 bit library for CentOS Stream 8.x (x86-64).

  • Debian 11.x, x86-64
  • Debian 10.x (buster), x86-64
  • Debian 9.x (stretch), x86-64
  • Debian 11 codename is Bullseye.
  • Debian 10 codename is buster.
  • Debian 9 codename is stretch.

  • Ubuntu 22.04, x86-64
  • Ubuntu 20.04 LTS (64-bit)
  • Ubuntu 18.04 LTS (64-bit)
  • Ubuntu 16.04 (64-bit)


  • Rocky Linux 9.x, x64-64
  • Rocky Linux 8.x ,x64-64


  • Alma Linux 9.x, x64-64
  • Alma Linux 8.x, x64-64


Local Operating System requirements

This is the minimum system requirement for PATROL Agent to monitor local Operating Systems.

  • 4 GB RAM
  • 8 GB Disk Space
  • 2 vCPU’s


Notes

  • On 64-bit Linux platforms, the following message is displayed after the installation process is complete. Ignore this message.

ignored: cfg_sec_prms: error while loading shared libraries: libaudit.so.0: cannot open shared object file: No such file or directory

  • BMC products are certified for use on supported operating system versions. BMC does not explicitly test for OS patches/updates that are released after a BMC product is released. BMC products should work fine with minor updates to these supported operating systems. For assistance, please contact BMC Customer Support.

Was this page helpful? Yes No Submitting... Thank you

Comments